// Public domain 2013 Sam Trenholme
#include <stdio.h>
#include <stdint.h>
main(int argc, char **argv) {
	FILE *rom, *xor, *out;
	uint8_t rb, xb;
	if(argc < 4) {
		printf("Usage: xor.image {rom file} {xor file} {output}\n");
		return 1;
	}
	rom = fopen(argv[1],"rb");
	xor = fopen(argv[2],"rb");
	out = fopen(argv[3],"wb");
	do {
		rb = getc(rom);
		xb = getc(xor);
		if(!feof(rom)) {
			putc(rb ^ xb,out);
		}
	} while(!feof(rom));
	fclose(out);
}
